<?php

namespace App\Entities\Medico;

use App\Utils\Builder;

class MedicoBuilder implements Builder {
	protected $id;
	protected $id_profissional;
	protected $assinatura;
	protected $documento;

	public function build(): Medico {

		$medico = new Medico();
		if (isset( $this->id )) {
			$medico->setId( $this->id );
		}
		if (isset( $this->id_profissional )) {
			$medico->setIdProfissional( $this->id_profissional );
		}
		if (isset( $this->assinatura )) {
			$medico->setAssinatura( $this->assinatura );
		}
		if (isset( $this->documento )) {
			$medico->setDocumento( $this->documento );
		}
		return $medico;

	}

	public function setId(int $id): MedicoBuilder {

		$this->id = $id;
		return $this;

	}

	public function setIdProfissional(int $id_profissional): MedicoBuilder {

		$this->id_profissional = $id_profissional;
		return $this;

	}

	public function setAssinatura($assinatura) {

		$this->assinatura = $assinatura;
		return $this;

	}

	public function setDocumento($documento) {

		$this->documento = $documento;
		return $this;

	}

}